MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025217Open CASCADE[OCCT] OCCT:DRAWpublic2014-09-04 15:302014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025217: Draw Harness - activate GLSL warnings output within command vgldebug
DescriptionThere is no command in ViewerTest to activate GLSL warnings output.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0031370)
git (administrator)
2014-09-04 15:31

Branch CR25217 has been created by kgv.

SHA-1: 091573daacd50d7f42ee3e790b5f94f269a1f911


Detailed log of new commits:

Author: kgv
Date: Thu Sep 4 15:30:58 2014 +0400

    0025217: Draw Harness - activate GLSL warnings output within command vgldebug
(0031371)
kgv (developer)
2014-09-04 15:31

Patch is ready for review in branch CR25217.
(0031697)
apl (developer)
2014-09-15 12:31

Dear Bugmaster,

The branch CR25217 is reviewed.

Please test.
(0031839)
git (administrator)
2014-09-17 21:15

Branch CR25217 has been updated forcibly by mkv.

SHA-1: 771fde52e13af6c21efd826e39ccfe2aa9cde500
(0031862)
mkv (tester)
2014-09-18 15:03

Dear BugMaster,
Branch CR25217 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 771fde52e13af6c21efd826e39ccfe2aa9cde500

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 355636836 / 355200988
Total CPU difference: 46234.869999999995 / 45410.48000000016
products component :
Total MEMORY difference: 110035620 / 110030920
Total CPU difference: 18138.409999999996 / 17726.57999999998

Testing on Windows:
occt component :
Total MEMORY difference: 242539124 / 242150964
Total CPU difference: 33722.90625 / 42815.328125
products component :
Total MEMORY difference: 66691976 / 66634836
Total CPU difference: 12931.40625 / 10516.90625

There are no differences in images found by testdiff.
(0032344)
git (administrator)
2014-09-29 23:13

Branch CR25217 has been deleted by kgv.

SHA-1: 771fde52e13af6c21efd826e39ccfe2aa9cde500

- Related Changesets
occt: master aaf512f1
Timestamp: 2014-09-04 11:30:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025217: Draw Harness - activate GLSL warnings output within command vgldebug
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-04 15:30 kgv New Issue
2014-09-04 15:30 kgv Assigned To => kgv
2014-09-04 15:31 git Note Added: 0031370
2014-09-04 15:31 kgv Note Added: 0031371
2014-09-04 15:31 kgv Assigned To kgv => san
2014-09-04 15:31 kgv Status new => resolved
2014-09-04 15:31 kgv Target Version => 6.8.0
2014-09-10 08:19 kgv Assigned To san => apl
2014-09-15 12:31 apl Note Added: 0031697
2014-09-15 12:31 apl Assigned To apl => bugmaster
2014-09-15 12:31 apl Status resolved => reviewed
2014-09-16 17:38 bugmaster Assigned To bugmaster => mkv
2014-09-17 21:15 git Note Added: 0031839
2014-09-18 15:03 mkv Note Added: 0031862
2014-09-18 15:04 mkv Test case number => Not needed
2014-09-18 15:04 mkv Assigned To mkv => bugmaster
2014-09-18 15:04 mkv Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master aaf512f1
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-29 23:13 git Note Added: 0032344
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker